/// <reference types="react" />
export declare type RemoveStatus = {
    /**
     * If true, the button will be changed to red (supporting_01) color.
     */
    remove?: true;
    /**
     * Button types.
     */
    buttonType: 'tertiary';
} | {
    /**
     * If true, the button will be changed to red (supporting_01) color.
     */
    remove?: false;
    /**
     * Button types.
     */
    buttonType: 'primary' | 'secondary' | 'tertiary' | 'iconOnly';
};
export declare type ButtonProps = RemoveStatus & {
    /**
     * Tooltip's text to display under the button.
     */
    tooltip?: string;
    /**
     * override or extend the styles applied to the component.
     */
    className?: any;
    /**
     * Element placed before the children.
     */
    icon?: JSX.Element;
    /**
     * If true, the button will be disabled.
     */
    disabled?: boolean;
    /**
     * The content of the button.
     */
    children?: any;
    onClick?: any;
    active?: boolean;
    /**
     * The HTML "type" property for button.
     * Can have the values "submit" or "button".
     * Dictates button behavior in a form.
     * If the type is submit, the action on form submit triggers the button's onClick event.
     * If the type is button, the button's onClick event isn't triggered on form submit.
     */
    type?: 'button' | 'reset' | 'submit' | undefined;
};
declare const Button: (props: ButtonProps) => JSX.Element;
export default Button;
